Subject: bug#31179: 26.1; eww leaves processes that slow Emacs

From: Alex Branham <[email-masked]>
Date: Mon, 16 Apr 2018 09:29:19 -0500

On Mon 16 Apr 2018 at 09:25, Lars Ingebrigtsen <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>>> What processes are these?
>>
>> For that example url I gave, I have in M-x list-processes:
>>
>> resources.bl... -- open -- -- (network connection to
>> resources.blogblog.com)
>> www.blogger.com -- open -- -- (network connection to www.blogger.com)
>> www.mostlyma... -- open -- -- (network connection to
>> www.mostlymaths.net)
>
> Well, those are open network connections (which url.el keeps around),
> and aren't processes, and should consume approximately zero CPU...

The situation definitely improves for me after closing the eww buffer,
but Emacs is still sluggish. I assumed these extra processes were to
blame, but perhaps that's not right. I don't know what else could be the
culprit though.